| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_lns_pos_quality_s Struct Reference
Location and Navigation Service

Position quality structure. More...

`#include <ble_lns.h>`

## Data Fields
bool | number_of_satellites_in_solution_present
bool | number_of_satellites_in_view_present
bool | time_to_first_fix_present
bool | ehpe_present
bool | evpe_present
bool | hdop_present
bool | vdop_present
ble_lns_pos_status_type_t | position_status
uint8_t | number_of_satellites_in_solution
uint8_t | number_of_satellites_in_view
uint16_t | time_to_first_fix
uint32_t | ehpe
uint32_t | evpe
uint8_t | hdop
uint8_t | vdop

## Detailed Description

Position quality structure.

## Field Documentation

uint32_t ble_lns_pos_quality_s::ehpe

Error in horizontal position estimate (meters, with a resolution of 1/100).

bool ble_lns_pos_quality_s::ehpe_present

Error in horizontal position estimate present (0=not present, 1=present).

uint32_t ble_lns_pos_quality_s::evpe

Error in vertical position estimate (meters, with a resolution of 1/100).

bool ble_lns_pos_quality_s::evpe_present

Error in vertical position estimate present (0=not present, 1=present).

uint8_t ble_lns_pos_quality_s::hdop

Horizontal dilution of precision (unitless, with a resolution of 2/10).

bool ble_lns_pos_quality_s::hdop_present

Horizontal dilution of precision present (0=not present, 1=present).

uint8_t ble_lns_pos_quality_s::number_of_satellites_in_solution

The number of satellites in solution (unitless, with a resolution of 1).

bool ble_lns_pos_quality_s::number_of_satellites_in_solution_present

The number of satellites present in solution (0=not present, 1=present).

uint8_t ble_lns_pos_quality_s::number_of_satellites_in_view

The number of satellites in view (unitless, with a resolution of 1).

bool ble_lns_pos_quality_s::number_of_satellites_in_view_present

The number of satellites present in solution (0=not present, 1=present).

ble_lns_pos_status_type_t ble_lns_pos_quality_s::position_status

Status of last measured position.

uint16_t ble_lns_pos_quality_s::time_to_first_fix

Time to the first position fix (seconds, with a resolution of 1/10).

bool ble_lns_pos_quality_s::time_to_first_fix_present

Time to the first position fix present (0=not present, 1=present).

uint8_t ble_lns_pos_quality_s::vdop

Vertical dilution of precision (unitless, with a resolution of 2/10).

bool ble_lns_pos_quality_s::vdop_present

Vertical dilution of precision present (0=not present, 1=present).